Create a new Document
curl --request POST \
--url https://commerce.driv.ly/api/documents \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"email": "<string>",
"notes": "<string>",
"attachments": "<string>",
"createdBy": 123
}
'import requests
url = "https://commerce.driv.ly/api/documents"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"email": "<string>",
"notes": "<string>",
"attachments": "<string>",
"createdBy": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
name: '<string>',
email: '<string>',
notes: '<string>',
attachments: '<string>',
createdBy: 123
})
};
fetch('https://commerce.driv.ly/api/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"name": "<string>",
"email": "<string>",
"notes": "<string>",
"attachments": "<string>",
"createdBy": 123
},
"message": "<string>"
}Documents
Create a new Document
Create a new Document
POST
/
documents
Create a new Document
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { documents } from '@drivly/commerce'
const sdk = new SDK(...)
const documents = await sdk.documents.create(data: documents): Promise<documents>
Authorizations
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
⌘I